%define pkg_name        Image-Imlib2
%define pkg_version     1.13
%define rpm_pkg_version 1.13
%define rpm_pkg_release 2.n0i.6

Summary:       Interface to the Imlib2 image library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: imlib2-devel
BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does image
file loading and saving as well as manipulation, arbitrary polygon support,
etc. It does ALL of these operations FAST. It allows you to create colour
images using a large number of graphics primitives, and output the images
in a range of formats.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF
%{__perl} -pi -e 's{(#include <Imlib2.h>)}{#include <X11/Xlib.h>\n$1}' lib/Image/Imlib2.xs
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.13-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Wed Mar 21 2007 Marius FERARU <altblue@n0i.net> - 1.13-1.n0i.5
- version 1.13

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 1.10-1.n0i.4
- version 1.10

* Sat Jun 17 2006 Marius Feraru <altblue@n0i.net> - 1.09-1.n0i.3
- version 1.09

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.08-1.n0i.2
- version 1.08

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 1.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
